Am 27.04.2012 16:23, schrieb Stefan Hajnoczi:
> The new Python tracetool implementation works great but does not run on older
> Python installations.  This series takes us back to the happy days of Python
> 2.4, which was released in 2004.
> 
> As a result tracetool should now work again on Mac OS X v10.5.8, OpenIndiana
> oi_151a, Solaris 10 U9, and Red Hat Enterprise Linux 5.

Works fine on OSX v10.5.8 and v10.6.8 and on oi_151a3 but still fails on
sol10u9 using python2.4 (2.4.6). Same error as before - does it maybe
need some additional module installation or something?
I'll try setting up sol10u10 to check there.

Andreas

> 
> Thanks for everyone's help testing on these platforms.
> 
> Stefan Hajnoczi (4):
>   tracetool: use Python 2.4-compatible exception handling syntax
>   tracetool: use Python 2.4-compatible __import__() arguments
>   tracetool: avoid str.rpartition() Python 2.5 function
>   configure: check for supported Python 2.x versions
> 
>  configure                     |    7 ++++---
>  scripts/tracetool.py          |    4 ++--
>  scripts/tracetool/__init__.py |   19 +++++++++++--------
>  3 files changed, 17 insertions(+), 13 deletions(-)
> 


Reply via email to